% highlight  Highlight range in graph.
%
% Syntax
% =======
%
%     P.highlight(Caption,Range,...)
%
% Input arguments
% ================
%
% * `P` [ struct ] - Report object created by the
% [`report.new`](report/new) function.
%
% * `Caption` [ char ] - Caption used to annotate the highlighted area.
%
% * `Range` [ cell | numeric ] - Date range, or a cell array of ranges,
% that will be highlighted.
%
% Options
% ========
%
% * `'hPosition='` [ `'centre'` | `'left'` | *`'right'`* ] - (Inheritable from
% parent objects) Horizontal position of the caption.
%
% * `'vPosition='` [ `'bottom'` | `'middle'` | *`'top'`* ] - (Inheritable from
% parent objects) Vertical position of the caption relative to the edges of
% the highlighted area.
%
% Generic options
% ================
%
% See help on [generic options](report/Contents) in report objects.
%
% Description
% ============
%
% Example
% ========
%

% -IRIS Toolbox.
% -Copyright (c) 2007-2015 IRIS Solutions Team.
