function Flag = isnamedmat(X)
% isnamedmat  True if variable is model object.
%
% Syntax 
% =======
%
%     Flag = isnamedmat(X)
%
% Input arguments
% ================
%
% * `X` [ numeric ] - Variable that will be tested.
%
% Output arguments
%
% * `Flag` [ `true` | `false` ] - True if the input variable `X` is a
% namedmat object.
%
% Description
% ============
%
% Example
% ========
%

% -IRIS Toolbox.
% -Copyright (c) 2007-2015 IRIS Solutions Team.

%--------------------------------------------------------------------------

Flag = isa(X,'namedmat');

end
